Subject: Re: Testsuite failure on s390x and sparc64 after 6840fe9ee2

From: Todd Zullinger <[email-masked]>
Date: Mon, 31 Mar 2025 11:48:56 -0400

[cc: fixed Derrick's address]

Hi Patrick,

Patrick Steinhardt wrote:
> Thanks for the additional information!

Thank you for looking into it and providing a patch!

> One thing I stumbled over: the `--min-batch-size` parameter is parsed
> using `OPT_INTEGER()`, which expects the value pointer to point to an
> integer. But we pass `struct backfill_context::min_batch_size`, which is
> of type `size_t`. Maybe that's causing us to end up with an invalid
> value?
> 
> Could you please check whether the below diff fixes the issue for you?
> If so I can turn it into a proper patch.

It does indeed lead to a successful test run:

t5620-backfill.sh ..................................
ok 1 - setup repo for object creation
ok 2 - setup bare clone for server
ok 3 - do partial clone 1, backfill gets all objects
ok 4 - do partial clone 2, backfill min batch size
ok 5 - backfill --sparse without sparse-checkout fails
ok 6 - backfill --sparse
ok 7 - backfill --sparse without cone mode (positive)
ok 8 - backfill --sparse without cone mode (negative)
ok 9 - create a partial clone over HTTP
ok 10 - backfilling over HTTP succeeds
# passed all 10 test(s)
1..10

Source: https://kojipkgs.fedoraproject.org//work/tasks/3947/130943947/build.log

I tested it against the other common architectures the
Fedora build system provides as well, to be sure no others
regressed, although there aren't as many as the Debian build
system :).

-- 
Todd